#
# Conditional build:
%bcond_with	tests		# build without tests
%bcond_without	python3		# build with python 2.x

%define		gitrev	e87d37d6
%define		rel	1
Summary:	Generate Your Projects
Summary(pl.UTF-8):	GYP (Generate Your Projects) - narzędzie do generowania systemów budowania
Name:		gyp
# grep version= setup.py
Version:	0.1
Release:	1.%{rel}.%{gitrev}%{?tld}
License:	New BSD
Group:		Development/Building
# use get-source.sh
Source0:	%{name}-%{version}-git%{gitrev}.tar.xz
# Source0-md5:	9b6f6c10bb8def91e26c17f0be1f7f90
Patch0:         gyp-rpmoptflags.patch
Patch1:         gyp-ninja-build.patch
Patch2:         gyp-python3.patch
Patch3:         gyp-python38.patch
Patch4:         gyp-fix-cmake.patch
Patch5:         gyp-python39.patch
URL:		https://gyp.gsrc.io/
%{!?with_python3:BuildRequires:	python-devel}
%{?with_python3:BuildRequires:	python3-devel}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%{!?with_python3:Requires:	python-%{name} = %{version}-%{release}}
%{?with_python3:Requires:	python3-%{name} = %{version}-%{release}}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GYP is a tool to generates native Visual Studio, Xcode and SCons
and/or make build files from a platform-independent input format. It's
syntax is a universal cross-platform build representation that still
allows sufficient per-platform flexibility to accommodate
irreconcilable differences.

%description -l pl.UTF-8
GYP to narzędzie generujące natywne pliki budowania dla Visual Studio,
Xcode, SCons i/lub make'a z formatu wejściowego niezależnego od
platformy. Składnia jest uniwersalną, wieloplatformową reprezentacją
reguł, która nadal pozwala na wystarczającą elastyczność dla
poszczególnych platform, aby obsłużyć różnice między nimi.

%package -n python-%{name}
Summary:	Python modules for GYP
Summary(pl.UTF-8):	Moduły Pythona module dla GYP
Group:		Development/Languages/Python

%description -n python-%{name}
GYP is a tool to generates native Visual Studio, Xcode and SCons
and/or make build files from a platform-independent input format. It's
syntax is a universal cross-platform build representation that still
allows sufficient per-platform flexibility to accommodate
poszczególnych platform, aby obsłużyć różnice między nimi.

This package contains Python modules.

%description -n python-%{name} -l pl.UTF-8
GYP to narzędzie generujące natywne pliki budowania dla Visual Studio,
Xcode, SCons i/lub make'a z formatu wejściowego niezależnego od
platformy. Składnia jest uniwersalną, wieloplatformową reprezentacją
reguł, która nadal pozwala na wystarczającą elastyczność dla
poszczególnych platform, aby obsłużyć różnice między nimi.

Ten pakiet zawiera moduły Pythona.

%package -n python3-%{name}
Summary:	Python modules for GYP
Summary(pl.UTF-8):	Moduły Pythona module dla GYP
Group:		Development/Languages/Python

%description -n python3-%{name}
GYP is a tool to generates native Visual Studio, Xcode and SCons
and/or make build files from a platform-independent input format. It's
syntax is a universal cross-platform build representation that still
allows sufficient per-platform flexibility to accommodate
poszczególnych platform, aby obsłużyć różnice między nimi.

This package contains Python modules.

%description -n python3-%{name} -l pl.UTF-8
GYP to narzędzie generujące natywne pliki budowania dla Visual Studio,
Xcode, SCons i/lub make'a z formatu wejściowego niezależnego od
platformy. Składnia jest uniwersalną, wieloplatformową reprezentacją
reguł, która nadal pozwala na wystarczającą elastyczność dla
poszczególnych platform, aby obsłużyć różnice między nimi.

Ten pakiet zawiera moduły Pythona.

%prep
%setup -q -c
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%if %{with python3}
%py3_build
%else
%py_build
%endif

%{?with_tests:%{__python} gyptest.py -a}

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python3}
%py3_install
%else
%py_install
%py_postclean
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE
%attr(755,root,root) %{_bindir}/gyp

%if %{with python3}
%files -n python3-%{name}
%defattr(644,root,root,755)
%dir %{py3_sitescriptdir}/gyp
%dir %{py3_sitescriptdir}/gyp/generator
%{py3_sitescriptdir}/gyp/*.py
%{py3_sitescriptdir}/gyp/__pycache__
%{py3_sitescriptdir}/gyp/generator/*.py
%{py3_sitescriptdir}/gyp/generator/__pycache__
%{py3_sitescriptdir}/gyp-%{version}-py*.egg-info
%endif

%if !%{with python3}
%files -n python-%{name}
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/gyp
%dir %{py_sitescriptdir}/gyp/generator
%{py_sitescriptdir}/gyp/*.py[co]
%{py_sitescriptdir}/gyp/generator/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/gyp-%{version}-py*.egg-info
%endif
%endif
%changelog
* Sat Apr 02 2022 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/gyp.git;a=log;h=c57342870a729fdfe800424099512601b3322459

* Sat Apr 02 2022 Marcin Krol <hawk@tld-linux.org> c573428
- allow building with python3, but still use python2 by default

* Sat Jan 25 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> f33fa22
- update to current git gyp; add patches from fc (including python 3 support but we still use python 2 for now)

* Wed Sep 21 2016 Jakub Bogusz <qboosh@pld-linux.org> f78d47c
- updated URL

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> 54b7c2c
- use rpm python macros
- rel 3

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 2284c65
- release 2 (by relup.sh)

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> ba2c7f2
- pl

* Sun Apr 07 2013 Elan Ruusamäe <glen@delfi.ee> e133849
- version is 0.1, according to setup.py

* Sun Apr 07 2013 Elan Ruusamäe <glen@delfi.ee> 65e11e4
- up to 1602 (chromium 27.0.1453.6 dep)

* Sun Jul 08 2012 Elan Ruusamäe <glen@pld-linux.org> 7fa1d56
- baah, don't downgrade...

* Sat Jul 07 2012 Elan Ruusamäe <glen@pld-linux.org> d48ce98
- up to 1175

* Thu Jun 21 2012 Elan Ruusamäe <glen@pld-linux.org> d7220c7
- up to 1361, do not package tests as long we are not running them

* Sun Dec 04 2011 Elan Ruusamäe <glen@pld-linux.org> d01b1cd
- up to r1103

* Sat Aug 27 2011 Elan Ruusamäe <glen@pld-linux.org> d0bbe1d
- r1014

* Sat Aug 27 2011 Elan Ruusamäe <glen@pld-linux.org> be4792c
- r1014

* Fri Aug 26 2011 Elan Ruusamäe <glen@pld-linux.org> b5cae1d
- up to svn 1013

* Wed Nov 03 2010 shadzik <shadzik@pld-linux.org> bf8ce94
- rel 2

* Tue Aug 17 2010 vip <vip@pld-linux.org> 41f5cfa
- up to rev 840

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 235ee38
- release 2

* Mon Apr 05 2010 Elan Ruusamäe <glen@pld-linux.org> d97eea3
- up to @795

* Tue Mar 02 2010 Elan Ruusamäe <glen@pld-linux.org> 2e58399
- up to 790

